package com.bocloud.cmp.model.azure.db;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: DbAdministratorModel
 * @Description:服务器管理员
 * @author: zhenpingLi/李振平
 * @date: 2021/2/2 10:04
 */
public class DbAdministratorModel {

    private String uuid;
    private String name;
    private String type;
    private String administratorType;
    private String login;//	服务器管理员登录帐户名称。
    private String sid;//服务器管理员 Sid (安全 ID) 。
    private String tenantId;//服务器 Active Directory 管理员租户 id。
    private String databaseServerUuid;
    //用于创建和删除时使用
    private String databaseServerName;
    private String resourceGroupName;

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getAdministratorType() {
        return administratorType;
    }

    public void setAdministratorType(String administratorType) {
        this.administratorType = administratorType;
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public String getSid() {
        return sid;
    }

    public void setSid(String sid) {
        this.sid = sid;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getDatabaseServerUuid() {
        return databaseServerUuid;
    }

    public void setDatabaseServerUuid(String databaseServerUuid) {
        this.databaseServerUuid = databaseServerUuid;
    }

    public String getDatabaseServerName() {
        return databaseServerName;
    }

    public void setDatabaseServerName(String databaseServerName) {
        this.databaseServerName = databaseServerName;
    }

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public void setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
    }
}